## UDisksLinuxProvider UDisksLinuxProvider — Provides Linux-specific objects |

## Functions

UDisksLinuxProvider * | udisks_linux_provider_new ()
GUdevClient * | udisks_linux_provider_get_udev_client ()
gboolean | udisks_linux_provider_get_coldplug ()

## Types and Values

| UDisksLinuxProvider

## Object Hierarchy

        GObject
        ╰── UDisksProvider
            ╰── UDisksLinuxProvider

## Description

This object is used to add/remove Linux specific objects of type UDisksLinuxBlockObject, UDisksLinuxDriveObject and UDisksLinuxMDRaidObject.

## Functions

### udisks_linux_provider_new ()

    UDisksLinuxProvider *
    udisks_linux_provider_new (UDisksDaemon *daemon);

Create a new provider object for Linux-specific objects / functionality.

#### Parameters

daemon | A UDisksDaemon. |

#### Returns

A UDisksLinuxProvider object. Free with `g_object_unref()`.

### udisks_linux_provider_get_udev_client ()

    GUdevClient *
    udisks_linux_provider_get_udev_client (UDisksLinuxProvider *provider);

Gets the GUdevClient used by `provider` .

#### Parameters

provider | A UDisksLinuxProvider. |

#### Returns

A GUdevClient owned by `provider` . Do not free.

### udisks_linux_provider_get_coldplug ()

    gboolean
    udisks_linux_provider_get_coldplug (UDisksLinuxProvider *provider);

Gets whether `provider` is in the coldplug phase.

#### Parameters

provider | A UDisksLinuxProvider. |

#### Returns

`TRUE` if in the coldplug phase, `FALSE` otherwise.

## Types and Values

### UDisksLinuxProvider

    typedef struct _UDisksLinuxProvider UDisksLinuxProvider;

The UDisksLinuxProvider structure contains only private data and should only be accessed using the provided API.